<h4>To view information about our range of products, please click one of the relevant links.</h4>

<ul id="prod-cat-list">
  <!---->
  <li *ngFor="let category of productTypeList" class="prod-cat-card">
    <div class="img-n-category-wrap" [routerLink]="category.path">
      <div class="img-wrap">
        <img [src]="category.imgUrl" [alt]="'illustrative image of ' + category.name">
      </div>
      <h3>{{category.name}}</h3>
    </div>

    <!-- Add multiline ellipsis to end of card
    NB: The goal it to add the ellipsis for a dynamic text content occupying an allocated num of text lines
    TODO: Consider a different solution or improvement, current impl can half obstruct an character-->
    <div class="desc-n-ellipsis-wrap">
      <p class="cat-desc">
        {{category.desc}}
      </p>

      <div class="desc-ellipsis-wrap">
        <span class="desc-ellipsis">...</span>
      </div>
    </div>
  </li>
</ul>
